/* Appointment */
.appointment-content {
  padding: 3.5rem;
  border-radius: 2.5rem;
  border: 1px solid #e8e8f9;
  background-color: var(--white-clr);

  @media (width <= 768px) {
    padding: 1.5rem;
  }
}

.appointment-header {
  display: flex;
  justify-content: space-between;
  align-items: end;

  h1 {
    color: var(--text-clr-700);
    font-weight: 900;
    font-size: var(--fs-950);
    text-transform: uppercase;
    max-width: 15ch;

    @media (width <=1024px) {
      font-size: var(--fs-850);
    }

    @media (width <=600px) {
      text-align: center;
      margin-inline: auto;
    }
  }

  .btn-pill {
    --_btn-fw: var(--fw-700);
    --_btn-fs: 0.75rem;
    height: 46px;

    @media (width <=600px) {
      display: none;
    }
  }
}

.appointment-body {
  margin-top: 2.25rem;
  display: grid;
  grid-template-columns: 1fr 2fr 1fr;
  background-color: #fcfcfc;
  border: 1px solid #e8e8f9;
  border-radius: 1.5rem;
  > * {
    padding: 2.25rem;
  }
}

.appointment-details-section {
  --_tab-mx: 0;
  display: flex;
  flex-direction: column;
  gap: 2.25rem;

  h2 {
    font-weight: var(--fw-900);
    font-size: var(--fs-500);
    line-height: 1;
    text-transform: uppercase;
    color: var(--text-clr-700);
  }

  .appointment-list {
    dl {
      display: grid;
      grid-template-columns: 0.875rem 1fr;
      gap: 0.75rem;
      align-items: center;

      > *:not(dt:first-child),
      > *:not(dd:first-child) {
        padding-block: 0.875rem;
      }
    }
    dt {
      color: var(--text-clr-700);
    }

    dd {
      font-weight: var(--fw-500);
    }

    dt,
    dd {
      border-bottom: 1px solid #f2f2f8;
    }
  }
}

.appointment-date {
  justify-self: center;
  border-inline: 1px solid #e8e8f9;

  #datepicker {
    /* visibility: hidden; */
    display: none;
  }
  .calendar {
    padding: 2.25rem;
  }
}

/* End of Appointment */
.appointment-wrapper {
  padding-bottom: clamp(2rem, 5vw, 3rem);
}

.visa-points-body {
  margin-top: var(--fs-650);
  display: grid;
  background-color: #fbfbfb;
  border: 1px solid #e8e8f9;
  border-radius: 1.5rem;

  > * {
    /* padding: var(--fs-650) 3rem; */
    padding: var(--fs-650) var(--fs-800);

    @media (width <= 768px) {
      padding: var(--fs-650) var(--fs-425);
    }
  }

  h2 {
    font-weight: var(--fw-700);
    font-size: var(--fs-450);
    line-height: 0.97;
    margin-bottom: 1rem;
  }

  /* @media (width <= 1024px) {
    .visa-points-results {
      grid-row: 1/1;
    }
  } */
  @media (width > 1024px) {
    grid-template-columns: 1fr 1fr;
  }
}

.visa-points-filters {
  border-right: 1px solid #e8e8f9;

  hr {
    margin-block: 1.125rem 1.5rem;
    border-top: none;
    border-color: #f2f2f8;
  }
}

.visa-points-subsection {
  .filter-checkbox-list {
    display: grid;
    gap: 0.5rem;
  }
}

.visa-points-result-wrapper {
  padding: var(--fs-650);
  text-align: center;
  background-color: var(--white-clr);
  border-radius: 0.75rem;
  border: 1px solid #e8e8f9;
  display: grid;

  .visa-points-result-title {
    margin-block: 1.25rem 1.5rem;
  }
}

.visa-points-result-total {
  font-weight: 900;
  font-size: var(--fs-800);
  line-height: 0.97;
  color: var(--text-clr-700);
}

.visa-points-result-title {
  font-size: var(--fs-450);
  line-height: 0.97;
  color: var(--secondary-clr-900);
}

.visa-points-summary-wrapper {
  margin-block: 1.5rem var(--fs-650);
}

.visa-points-summary {
  .icon-key-value {
    padding-bottom: 1rem;
    border-bottom: 1px solid #ebecff;

    display: flex;
    justify-content: space-between;

    &:not(:first-child) {
      padding-top: 1rem;
    }
  }
}
